View Issue Details

IDProjectCategoryView StatusLast Update
0001486OpenFOAM[All Projects] Bugpublic2015-01-22 23:19
Reporteruser171Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
PlatformGNU/LinuxOSUbuntuOS Version14.10
Product Version 
Fixed in Version 
Summary0001486: renumberMesh mixes up wedge patches
DescriptionAfter running renumberMesh on a mesh of wedge with blockMesh, warning messages similar to this appear for every cell.

--> FOAM Warning :
    From function wedgePolyPatch::calcGeometry(PstreamBuffers&)
    in file meshes/polyMesh/polyPatches/constraint/wedge/wedgePolyPatch.C at line 72
    Wedge patch 'symPlanePosX' is not planar.
At local face at (0.00010079841 0.00018913757 -0.000748503) the normal (0.99905004 0.043577725 0) differs from the average normal (0.99905003 0.043577952 6.0446643e-21) by 5.1497575e-14

However, the checkMesh -constant returns that everything is OK.
Running just blockMesh, without subsequent renumberMesh, the error messages to not appear and checkMesh -constant still returns that everything is OK.
Steps To Reproduce* Create a mesh of a wedge geometry with blockMesh
* Run renumberMesh -constant
* Run any application such as checkMesh -constant (the error appear when reading in the mesh, therefore even a solver could be run)
TagsNo tags attached.

Activities

user4

2015-01-13 10:42

  ~0003532

The renumbering is ok, it is just that the planarity check is quite strict. Are you running with binary writing?

user171

2015-01-14 08:59

  ~0003539

I am running on ASCII writing. Should I be running binary in order to avoid this issue?

The issue was not there in 2.3 and only came after updating to 2.3.1

user4

2015-01-14 09:28

  ~0003540

In general you want to run in binary if you're doing any kind of mesh manipulation. Or increase the writePrecision.

user171

2015-01-14 09:44

  ~0003541

Running in binary or increasing the writePrecision from 8 to 10 solves the problem.

Thanks!

Issue History

Date Modified Username Field Change
2015-01-12 16:22 user171 New Issue
2015-01-13 10:42 user4 Note Added: 0003532
2015-01-14 08:59 user171 Note Added: 0003539
2015-01-14 09:28 user4 Note Added: 0003540
2015-01-14 09:44 user171 Note Added: 0003541
2015-01-14 19:02 henry Status new => closed
2015-01-14 19:02 henry Assigned To => henry
2015-01-14 19:02 henry Resolution open => no change required
2015-01-22 23:19 henry Status closed => resolved